Module | Sequel::Oracle::DatasetMethods
In: | lib/sequel/adapters/shared/oracle.rb

### Methods

distinct empty? except

### Included Modules

Dataset::UnsupportedIntersectExceptAll Dataset::SQLStandardDateFormat

### Constants

SELECT_CLAUSE_ORDER | = | %w'distinct columns from join where group having compounds order limit'.freeze

### Public Instance methods

distinct(*columns)

Oracle doesn‘t support DISTINCT ON

[Source]

         # File lib/sequel/adapters/shared/oracle.rb, line 109
    109:       def distinct(*columns)
    110:         raise(Error, "DISTINCT ON not supported by Oracle") unless columns.empty?
    111:         super
    112:       end

empty?()

[Source]

         # File lib/sequel/adapters/shared/oracle.rb, line 120
    120:       def empty?
    121:         db[:dual].where(exists).get(1) == nil
    122:       end

except(dataset, all = false)

Oracle uses MINUS instead of EXCEPT, and doesn‘t support EXCEPT ALL

[Source]

         # File lib/sequel/adapters/shared/oracle.rb, line 115
    115:       def except(dataset, all = false)
    116:         raise(Sequel::Error, "EXCEPT ALL not supported") if all
    117:         compound_clone(:minus, dataset, all)
    118:       end

[Validate]